.hero {
    background: rgb(0 0 0 / 50%);
    text-align: center;
    color: var(--color-secondary);
    position: relative;
}

.hero .swiper-slide {
    height: auto;
}

.hero__item {
    display: flex;
    align-items: center;
    height: 100%;
    padding: 20rem 0;
    position: relative;
    z-index: 1;
}

.hero__image {
    position: absolute;
    inset: 0;
    z-index: -1;
}

.hero__image::before {
    content: '';
    display: block;
    background: rgb(0, 0, 0, 50%);
    position: absolute;
    inset: 0;
    opacity: 0.7;
    z-index: 1;
}

.hero__image .mobile {
    display: none;
}

.hero__info {
    gap: 2.5rem;
}

.hero .hero__title {
    color: var(--color-secondary);
}

.hero__text {
    margin-bottom: 0.5rem;
}

.hero__title,
.hero__text {
    overflow: hidden;
}

.hero__title-inner,
.hero__text-inner {
    display: block;
    translate: 0 100%;
    font-size: inherit;
    transition: 0.5s ease-out;
}

.hero .swiper-slide-active .hero__title-inner,
.hero .swiper-slide-active .hero__text-inner {
    translate: 0 0;
}

.hero-pagination {
    align-items: flex-end;
    gap: 0;
    width: 3rem;
    position: absolute;
    top: 50%;
    right: 10rem;
    translate: 0 -50%;
    z-index: 2;
    pointer-events: none;
}

.hero-pagination__item {
    width: 50%;
    padding-block: 0.5rem;
    color: var(--color-secondary);
}

.hero-pagination__item.active {
    width: 100%;
    transition: var(--trans);
}

.hero-pagination__item:not(.active) {
    cursor: pointer;
}

.hero-pagination__item::before {
    content: '';
    display: block;
    width: 100%;
    height: 0.3rem;
    background: currentColor;
}

@media (hover: hover) and (pointer: fine) {
    .hero-pagination__item:not(.active):hover {
        color: var(--color-secondary);
    }
}

@media screen and (max-width: 1024.9px) {
    .hero-pagination {
        flex-direction: row;
        gap: 0.5rem;
        width: auto;
        height: auto;
        top: auto;
        bottom: 5rem;
        right: 50%;
        translate: 50% 0;
    }

    .hero-pagination__item {
        flex: 0 0 auto;
        width: 1rem;
        height: 0.3rem;
    }

    .hero-pagination__item.active {
        width: 2rem;
    }
}

@media screen and (max-width: 767.9px) {
    .hero__image .desktop {
        display: none;
    }

    .hero__image .mobile {
        display: block;
    }
}

@media screen and (max-width: 575.9px) {
    .hero__item {
        padding-block: 15.5rem;
    }

    .hero__info {
        gap: 2rem;
    }

    .hero__text {
        font-size: 1.4rem;
    }
}